Skip to main content
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
sqlRunner
/
saved
/
{savedSqlUuid}
/
schedulers
Error
A valid request URL is required to generate request examples
{
  "results": {
    "includeLinks": true,
    "enabled": true,
    "options": {
      "limit": 123,
      "formatted": true,
      "asAttachment": true
    },
    "savedSqlName": "<string>",
    "savedSqlUuid": null,
    "dashboardName": "<string>",
    "dashboardUuid": null,
    "savedChartName": "<string>",
    "savedChartUuid": "<string>",
    "cron": "<string>",
    "format": "csv",
    "createdByName": "<string>",
    "createdBy": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "schedulerUuid": "<string>",
    "targets": [
      {
        "channel": "<string>",
        "schedulerUuid": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "schedulerSlackTargetUuid": "<string>"
      }
    ],
    "projectName": "<string>",
    "projectUuid": "<string>",
    "notificationFrequency": "always",
    "thresholds": [
      {
        "value": 123,
        "fieldId": "<string>",
        "operator": "greaterThan"
      }
    ],
    "projectSchedulerTimezone": "<string>",
    "timezone": "<string>",
    "message": "<string>",
    "latestRun": {
      "format": "csv",
      "createdByUserName": "<string>",
      "createdByUserUuid": "<string>",
      "resourceName": "<string>",
      "resourceUuid": "<string>",
      "resourceType": "chart",
      "logCounts": {
        "error": 123,
        "completed": 123,
        "started": 123,
        "scheduled": 123,
        "total": 123
      },
      "details": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "runStatus": "completed",
      "status": "scheduled",
      "scheduledTime": "2023-11-07T05:31:56Z",
      "schedulerName": "<string>",
      "schedulerUuid": "<string>",
      "runId": "<string>"
    }
  },
  "status": "ok"
}

Path Parameters

projectUuid
string
required
savedSqlUuid
string
required

Body

application/json

Construct a type with the properties of T except for those in type K.

name
string
required
cron
string
required
format
enum<string>
required
Available options:
csv,
xlsx,
image,
gsheets
options
object
required
enabled
boolean
required
targets
object[]
required

From T, pick a set of properties whose keys are in the union K

projectUuid
string | null
message
string
timezone
string
projectSchedulerTimezone
string
thresholds
object[]
notificationFrequency
enum<string>
Available options:
always,
once
projectName
string | null

Response

Created

results
object
required
status
enum<string>
required
Available options:
ok